From fedbc643094254d572d941ea25b69971463f9b95 Mon Sep 17 00:00:00 2001
From: Kentaro Hayashi <kenhys@gmail.com>
Date: Sat, 4 May 2024 21:51:55 +0900
Subject: [PATCH 2/2] Add patch to fix installed epics header path

Signed-off-by: Kentaro Hayashi <kenhys@gmail.com>
---
 debian/patches/fix-epics-header-path.patch | 61 ++++++++++++++++++++++
 debian/patches/series                      |  1 +
 2 files changed, 62 insertions(+)
 create mode 100644 debian/patches/fix-epics-header-path.patch

diff --git a/debian/patches/fix-epics-header-path.patch b/debian/patches/fix-epics-header-path.patch
new file mode 100644
index 0000000..c14100e
--- /dev/null
+++ b/debian/patches/fix-epics-header-path.patch
@@ -0,0 +1,61 @@
+From: Kentaro Hayashi <kenhys@gmail.com>
+Date: Sat, 4 May 2024 21:45:07 +0900
+Subject: Fix installed path of epics headers
+
+Description: epics-dev installs upstream's header under
+/usr/include/epics/ explicitly, so it should be also changed.
+Without this change, pkg-config can't return correct header search path.
+Author: Kentaro Hayashi <kenhys@xdump.org>
+Bug-Debian: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1059706
+Forwarded: no
+---
+ modules/database/src/tools/epics-base-arch.pc@ | 9 +++++----
+ modules/database/src/tools/epics-base.pc@      | 7 ++++---
+ 2 files changed, 9 insertions(+), 7 deletions(-)
+
+diff --git a/modules/database/src/tools/epics-base-arch.pc@ b/modules/database/src/tools/epics-base-arch.pc@
+index 7dde33d..e34b5ef 100644
+--- a/modules/database/src/tools/epics-base-arch.pc@
++++ b/modules/database/src/tools/epics-base-arch.pc@
+@@ -18,10 +18,11 @@ EPICS_BASE_IOC_LIBS=@EPICS_BASE_IOC_LIBS@
+ # Directories
+ 
+ includedir_osi=${prefix}/include
+-includedir_osd=${prefix}/include/os/@OS_CLASS@
+-includedir_comp=${prefix}/include/compiler/@CMPLR_CLASS@
++includedir_epicsd=${prefix}/include/epics
++includedir_osd=${prefix}/include/epics/os/@OS_CLASS@
++includedir_comp=${prefix}/include/epics/compiler/@CMPLR_CLASS@
+ 
+-includedirs=${includedir_osi} ${includedir_osd} ${includedir_comp}
++includedirs=${includedir_osi} ${includedir_epicsd} ${includedir_osd} ${includedir_comp}
+ 
+ dbddir=${prefix}/dbd
+ dbdir=${prefix}/db
+@@ -37,6 +38,6 @@ LD=@LD@
+ Name: epics-base-@ARCH@
+ Version: @EPICS_VERSION@.@EPICS_REVISION@.@EPICS_MODIFICATION@.@EPICS_PATCH_LEVEL@
+ Description: EPICS Base for @ARCH@
+-Cflags: -I${includedir_osi} -I${includedir_osd} -I${includedir_comp} @C_CFLAGS@
++Cflags: -I${includedir_osi} -I${includedir_epicsd} -I${includedir_osd} -I${includedir_comp} @C_CFLAGS@
+ Libs: -L${libdir} @LDFLAGS@
+ Libs.private: @LDLIBS@
+diff --git a/modules/database/src/tools/epics-base.pc@ b/modules/database/src/tools/epics-base.pc@
+index c154066..217748d 100644
+--- a/modules/database/src/tools/epics-base.pc@
++++ b/modules/database/src/tools/epics-base.pc@
+@@ -15,10 +15,11 @@ CMPLR_CLASS=@CMPLR_CLASS@
+ # Directories
+ 
+ includedir_osi=${prefix}/include
+-includedir_osd=${prefix}/include/os/@OS_CLASS@
+-includedir_comp=${prefix}/include/compiler/@CMPLR_CLASS@
++includedir_epicsd=${prefix}/include/epics
++includedir_osd=${prefix}/include/epics/os/@OS_CLASS@
++includedir_comp=${prefix}/include/epics/compiler/@CMPLR_CLASS@
+ 
+-includedirs=${includedir_osi} ${includedir_osd} ${includedir_comp}
++includedirs=${includedir_osi} ${includedir_epicsd} ${includedir_osd} ${includedir_comp}
+ 
+ dbddir=${prefix}/dbd
+ dbdir=${prefix}/db
diff --git a/debian/patches/series b/debian/patches/series
index 425394f..588b480 100644
--- a/debian/patches/series
+++ b/debian/patches/series
@@ -1,2 +1,3 @@
 verbose-install.patch
 0002-skip-expected-failing-test.patch
+fix-epics-header-path.patch
-- 
2.43.0

